Writes an image to the specified filename

- « Gmagick::write

- GmagickDraw »

- PHP Manual
- Gmagick
- Writes an image to the specified filename

# Gmagick::writeimage

(PECL gmagick >= Unknown)

Gmagick::writeimage — Writes an image to the specified filename

### Description

public Gmagick::writeimage(string `$filename`, bool `$all_frames` = `false`): Gmagick

Writes an image to the specified filename. If the filename parameter is `null`, the image is written to the filename set by Gmagick::readimage() or Gmagick::setimagefilename().

### Parameters

`filename`

  The image filename.

### Return Values

The Gmagick object.

### Errors/Exceptions

Throws an GmagickException on error.